メインコンテンツまでスキップ

コレクションの詳細 (V2)

Describes the details of a collection.

POST/v2/vectordb/collections/describe
接続エンドポイント

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘ノート
  • サービングクラスターを使用している場合は、クラスターエンドポイントを使用します。
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • ${CLUSTER_ENDPOINT} を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。
  • エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキー、またはコロン区切りのユーザー名とパスワードのペア(例: username:password)である必要があります。プロジェクトエンドポイントを使用する場合は、十分な権限を持つ有効なAPIキーのみが適用されます。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ
dbNamestring

コレクションが属するデータベースの名前。存在しないデータベースに設定するとエラーになります。指定しない場合は、デフォルトのデータベースが使用されます。

collectionNamestring必要

対象コレクションの名前。 存在しないコレクションに設定するとエラーになります。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection"
}'
レスポンス

指定されたコレクションの詳細を返します。

codeinteger

レスポンスコード。

値の例: 0
dataobject

レスポンスペイロード。指定されたコレクションの詳細情報が含まれます。

aliasesarray

コレクションに割り当てられたエイリアスのリスト。

[]aliasesstring

コレクションのエイリアス。

autoIDboolean

このコレクションの主キーが自動的にインクリメントされるかどうか。

collectionIDinteger<int64>

作成時にコレクションに割り当てられたID。

collectionNamestring

現在のコレクションの名前。

consistencyLevelstring

現在のコレクションの整合性レベル。

descriptionstring

コレクションの説明。

enableDynamicFieldboolean

スキーマ未定義のフィールドとその値をキーと値のペアで保存するために、$meta という予約済み動的フィールドが有効になっているかどうか。

externalSourcestring

このコレクションが外部コレクションの場合のJSONエンコードされた外部ソース構成です。Zilliz Cloudボリューム内のオブジェクトURLが適用されます。

externalSpecstring

このコレクションが外部コレクションの場合のJSONエンコードされた外部仕様です。このフィールドの内容は、コネクタの種類とソースデータの形式によって異なる場合があります。これには、ファイル形式やフィールドマッピングなどが含まれますが、これらに限定されません。

fieldsarray

コレクションフィールドの配列。

[]fieldsobject

フィールドオブジェクト。

namestring

現在のフィールドの名前。

primaryKeyboolean

現在のフィールドが主キーであるかどうかを示します。

partitionKeyboolean

現在のフィールドがパーティションキーであるかどうかを示します。

autoIdboolean

現在のフィールドが自動生成されたIDであるかどうかを示します。

descriptionstring

現在のフィールドの説明。

nullableboolean

現在のフィールドがnull値を許可するかどうかを示します。

defaultValuestring

現在のフィールドのデフォルト値。この値は、デフォルト値を持つフィールドでのみ使用できます。

isFunctionOutputboolean

現在のフィールドが関数の派生フィールドであるかどうかを示します。この値は、関数から派生したフィールドでのみ使用できます。

typestring

現在のフィールドのデータ型。

idstring

現在のフィールドの一意の識別子。

paramsobject

現在のフィールドのパラメーター。この値は、パラメーターを持つフィールドでのみ使用できます。

elementTypestring

現在のフィールドの要素のデータ型。この値は、配列型のフィールドでのみ使用できます。

functionsarray

コレクション関数の配列。

[]functionsobject

関数オブジェクト。

namestring

現在の関数の名前。

descriptionstring

現在の関数の説明。

typestring

現在の関数のタイプ。

idstring

現在の関数のID。

inputFieldNamesarray

現在の関数の入力フィールド名。

[]inputFieldNamesstring

入力フィールドの名前。

outputFieldNamesarray

現在の関数の出力フィールド名。

[]outputFieldNamesstring

出力フィールドの名前。

paramsobject

現在の関数のパラメーター。

indexesarray

作成されたインデックスの配列。

[]indexesobject

インデックスオブジェクト。

indexNamestring

現在のインデックスの名前。

fieldNamestring

現在のインデックスに関連付けられたフィールドの名前。

metricTypestring

現在のインデックスのメトリックタイプ。

loadstring

現在のコレクションのロード状態。

partitionsNuminteger

コレクション内のパーティション数。

propertiesarray

追加のコレクションプロパティの配列。

[]propertiesobject

キーと値のペア形式のコレクションプロパティオブジェクト。

keystring

プロパティ名

valuestring

The property value.

structFieldsarray

コレクション内の struct 配列フィールド。

[]structFieldsobject

struct 配列フィールドの詳細。

namestring

struct 配列フィールドの名前。

idstring

struct 配列フィールドの一意の識別子。

descriptionstring

struct 配列フィールドの説明。

typestring

フィールドのデータ型。

fieldsarray

ネストされたサブフィールド。各型は、struct フィールドのスカラー型またはベクトル型です。

[]fieldsobject

struct 配列内のサブフィールドの詳細。

namestring

サブフィールドの名前。

idstring

サブフィールドの一意の識別子。

typestring

struct フィールドのスカラー型またはベクトル型。

paramsarray

要素型のパラメーター。

[]paramsobject
keystring
(近日追加予定)
valuestring
(近日追加予定)
paramsarray

追加のフィールドパラメーター。

[]paramsobject
keystring
(近日追加予定)
valuestring
(近日追加予定)

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

json
{
"code": 0,
"data": {
"aliases": [],
"autoId": false,
"collectionID": 448707763883002000,
"collectionName": "test_collection",
"consistencyLevel": "Bounded",
"description": "",
"enableDynamicField": true,
"fields": [
{
"autoId": false,
"description": "",
"id": 100,
"name": "id",
"partitionKey": false,
"primaryKey": true,
"type": "Int64"
},
{
"autoId": false,
"description": "",
"id": 101,
"name": "vector",
"params": [
{
"key": "dim",
"value": "5"
}
],
"partitionKey": false,
"primaryKey": false,
"type": "FloatVector"
}
],
"indexes": [
{
"fieldName": "vector",
"indexName": "vector",
"metricType": "COSINE"
}
],
"load": "LoadStateLoaded",
"partitionsNum": 1,
"properties": []
}
}
json
{
"code": 0,
"data": {
"aliases": [],
"autoId": false,
"collectionID": 448707763883002000,
"collectionName": "test_collection",
"consistencyLevel": "Bounded",
"description": "",
"enableDynamicField": true,
"externalSource": "volume://volume-vdc/demo_lance/",
"externalSpec": "{\"format\":\"lance-table\"}",
"fields": [
{
"autoId": false,
"description": "",
"id": 100,
"name": "id",
"partitionKey": false,
"primaryKey": true,
"type": "Int64"
},
{
"autoId": false,
"description": "",
"id": 101,
"name": "vector",
"params": [
{
"key": "dim",
"value": "5"
}
],
"partitionKey": false,
"primaryKey": false,
"type": "FloatVector"
}
],
"indexes": [
{
"fieldName": "vector",
"indexName": "vector",
"metricType": "COSINE"
}
],
"load": "LoadStateLoaded",
"partitionsNum": 1,
"properties": []
}
}
Ctrl I